package ast;
public class ACTUAL extends STATEMENT {
   public EXPRESSION expr;       // Child
   public ACTUAL nextActual;     // Child

   public sym.FormalSy formal;         // Synthesized Attribute. Current formal parameter.
   public sym.SyTab formals;           // Inherited Attribute. List of remaining formal parameters.
   public int formalNumber;            // Inherited Attribute. Number of current formal parameter.


   public ACTUAL (int position) {
       super(position);
   }

   public ACTUAL (EXPRESSION expr, ACTUAL nextActual, int position) {
       super(position);
       this.expr = expr;
       this.nextActual = nextActual;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<ACTUAL " + 
                  "pos=\"" + position + "\">\n";
       s += expr.toString(indent+1);
       s += nextActual.toString(indent+1);
       s += blanks(indent) + "</ACTUAL>\n";
       return s;
   }
}
