package ast;
public class ENUMDECL extends DECLARATION {
   public DECLS enumIds;        // Child, a list of ENUMIDDECLs

   public ENUMDECL (String name, DECLS enumIds, int position) {
       super(name, position);
       this.enumIds = enumIds;
   }

   public String toString(int indent) {
       String s = blanks(indent) + 
                  "<ENUMDECL " + 
                  "ident=\"" + ident + "\" " +
                  "pos=\"" + position + "\">\n";
       s += enumIds.toString(indent+1);
       s += blanks(indent) + "</ENUMDECL>\n";
       return s;
   }
}


